@use '../core/variables_scss' as v;

.-p {

  // Vertical paddings
  &v {
    &0 {
      padding-top: 0;
      padding-bottom: 0;
    }

    // -mvs/-mvd/...
    @each $alias, $size in v.$sizes {
      &#{$alias} {
        padding-top: var(--spacer-#{$size});
        padding-bottom: var(--spacer-#{$size});
      }
    }
  }

  // Horizontal paddings
  &h {
    &0 {
      padding-right: 0;
      padding-left: 0;
    }

    // -mvs/-mvd/...
    @each $alias, $size in v.$sizes {
      &#{$alias} {
        padding-right: var(--spacer-#{$size});
        padding-left: var(--spacer-#{$size});
      }
    }
  }

  // Side paddings
  @each $side-alias, $side in v.$sides {
    &#{$side-alias}{
      &0{ padding-#{$side}: 0 }

      @each $size-alias, $size in v.$sizes {
        &#{$size-alias} { padding-#{$side}: var(--spacer-#{$size}) }
      }
    }
  }

  // All at once
  &0 { padding: 0; }

  @each $alias, $size in v.$sizes {
    &#{$alias} { padding: var(--spacer-#{$size}) }
  }
}
